View Issue Details

IDProjectCategoryView StatusLast Update
0001804SymmetricDSBugpublic2014-07-12 17:31
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.1 
Target Version3.6.2Fixed in Version3.6.2 
Summary0001804: sym_node_host on the heartbeat channel can cause FK errors when a node is removed
Descriptionsym_node is on the config channel which gets synced first so even though the sym_node_host row is deleted before sym_node the delete of sym_node is applied first on the target.

Remove the FK from sym_node_host to sym_node to solve. sym_node_host is just ancillary anyways.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 074db56f

2014-07-11 15:42:45

chenson

Details Diff
0001804: sym_node_host on the heartbeat channel can cause FK errors when a node is removed
0001804
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2014-07-11 15:42 chenson New Issue
2014-07-11 15:42 chenson Status new => assigned
2014-07-11 15:42 chenson Assigned To => chenson
2014-07-11 15:42 chenson Status assigned => resolved
2014-07-11 15:42 chenson Fixed in Version => 3.6.2
2014-07-11 15:42 chenson Resolution open => fixed
2014-07-11 16:00 chenson Changeset attached => SymmetricDS trunk r8465
2014-07-12 17:31 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 074db56f